<form [formGroup]="registerForm" (ngSubmit)="register()" autocomplete="off">
  <h2 class="text-center text-primary">Sign up</h2>
  <hr />
  <div class="form-group mb-2">
    <label class="control-label" style="margin-right: 10px">I am a: </label>
    <label class="radio-inline"
      ><input type="radio" value="male" formControlName="gender" />Male</label
    >
    <label class="radio-inline" style="margin-left: 10px"
      ><input
        type="radio"
        value="female"
        formControlName="gender"
      />Female</label
    >
  </div>
  <app-text-input
    [formControl]="registerForm.controls['username']"
    label="Username"
  ></app-text-input>
  <app-text-input
    [formControl]="registerForm.controls['knownAs']"
    label="Known As"
  ></app-text-input>
  <app-text-input
    [formControl]="registerForm.controls['dateOfBirth']"
    label="Date of birth"
    type="date"
  ></app-text-input>
  <app-text-input
    [formControl]="registerForm.controls['city']"
    label="City"
  ></app-text-input>
  <app-text-input
    [formControl]="registerForm.controls['country']"
    label="Country"
  ></app-text-input>
  <app-text-input
    [formControl]="registerForm.controls['password']"
    label="Password"
    type="password"
  ></app-text-input>
  <app-text-input
    [formControl]="registerForm.controls['confirmPassword']"
    label="Confirm password"
    type="password"
  ></app-text-input>

  <div class="row" *ngIf="validationErrors.length > 0">
    <ul class="text-danger">
      <li *ngFor="let error of validationErrors">
        {{ error }}
      </li>
    </ul>
  </div>
  <div class="form-group d-flex justify-content-center gap-3 mt-3">
    <button
      [disabled]="registerForm.invalid"
      class="btn btn-success mr-2"
      type="submit"
    >
      Register
    </button>
    <button class="btn btn-secondary mr-2" type="button" (click)="cancel()">
      Cancel
    </button>
  </div>
</form>
